import { FilteringParameters } from "../client/FilteringParameters";
export declare enum BounceType {
    HardBounce = "HardBounce",
    Transient = "Transient",
    Unsubscribe = "Unsubscribe",
    Subscribe = "Subscribe",
    AutoResponder = "AutoResponder",
    AddressChange = "AddressChange",
    DnsError = "DnsError",
    SpamNotification = "SpamNotification",
    OpenRelayTest = "OpenRelayTest",
    Unknown = "Unknown",
    SoftBounce = "SoftBounce",
    VirusNotification = "VirusNotification",
    ChallengeVerification = "ChallengeVerification",
    BadEmailAddress = "BadEmailAddress",
    SpamComplaint = "SpamComplaint",
    ManuallyDeactivated = "ManuallyDeactivated",
    Unconfirmed = "Unconfirmed",
    Blocked = "Blocked",
    SMTPApiError = "SMTPApiError",
    InboundError = "InboundError",
    DMARCPolicy = "DMARCPolicy",
    TemplateRenderingFailed = "TemplateRenderingFailed"
}
/**
 * Describes filtering parameters that can be used when retrieving bounces.
 * When pagination parameters are not specified, default values are set.
 */
export declare class BounceFilteringParameters extends FilteringParameters {
    type?: BounceType;
    inactive?: boolean;
    emailFilter?: string;
    tag?: string;
    messageID?: string;
    fromDate?: string;
    toDate?: string;
    constructor(count?: number, offset?: number, type?: BounceType, inactive?: boolean, emailFilter?: string, tag?: string, messageID?: string, fromDate?: string, toDate?: string);
}
